import 'package:flutter/material.dart';

import 'package:pweb/widgets/vspacer.dart';


class ErrorSnackBarContent extends StatelessWidget {
  final String situation;
  final String localizedError;

  const ErrorSnackBarContent({
    super.key,
    required this.situation,
    required this.localizedError,
  });

  @override
  Widget build(BuildContext context) => Column(
    mainAxisSize: MainAxisSize.min, // wrap to content
    crossAxisAlignment: CrossAxisAlignment.start,
    children: [
      Text(
        situation,
        style: const TextStyle(fontWeight: FontWeight.bold),
      ),
      const VSpacer(multiplier: 0.25),
      Text(localizedError),
    ],
  );
}
